| Home | Libraries | People | FAQ | More

## Function template equal_range

boost::compute::equal_range

## Synopsis

    // In header: <boost/compute/algorithm/equal_range.hpp>

    template<typename InputIterator, typename T>
      std::pair< InputIterator, InputIterator >
      equal_range(InputIterator first, InputIterator last, const T & value,
                  command_queue & queue = system::default_queue());

## Description

Returns a pair of iterators containing the range of values equal to `value` in the sorted range [`first`, `last`).

Space complexity: \Omega(1)